package com.jpattern.orm.classmapper;

/**
 * 
 * @author Francesco Cina
 *
 * 22/mag/2011
 */
public interface IClassMapper<T>  {

	ITableMap<T> getTableMap();

	Class<T> getMappedClass();

	IColumn getColumnWithJavaName(String javaName);

	String[] getAllColumnJavaNames();

	String[] getAllNotGeneratedColumnJavaNames();

	String[] getAllGeneratedColumnDBNames();

	String[] getAllGeneratedColumnJavaNames();

	String[] getPrimaryKeyColumnJavaNames();

	String[] getNotPrimaryKeyColumnJavaNames();

	String[] getPrimaryKeyAndVersionColumnJavaNames();

}
